Cocoon API: Class XalanTransformer

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.transformer
Class XalanTransformer

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.transformer.XalanTransformer

All Implemented Interfaces:
  Actor, Status, Transformer

public class XalanTransformer
extends AbstractActor
implements Transformer, Status

This class implements the transformer interface for the Apache Xalan XSLT processor.

Version:
  $Revision: 1.14 $ $Date: 2000/11/20 22:37:25 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`XalanTransformer()`

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.
`void` | `init(Director director)` Initialize the actor by indicating their director.
`org.w3c.dom.Document` | `transform(org.w3c.dom.Document in, java.lang.String inBase, org.w3c.dom.Document sheet, java.lang.String sheetBase, org.w3c.dom.Document out, java.util.Dictionary params)` Process the DOM tree with the given transformation sheet and uses the result tree to return.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XalanTransformer

    public XalanTransformer()

Method Detail

### init

    public void init(Director director)

  Description copied from interface: `Actor`
  Initialize the actor by indicating their director.
  Specified by:
    `init` in interface `Actor`
  Overrides:
    `init` in class `AbstractActor`

### transform

    public org.w3c.dom.Document transform(org.w3c.dom.Document in,
                                          java.lang.String inBase,
                                          org.w3c.dom.Document sheet,
                                          java.lang.String sheetBase,
                                          org.w3c.dom.Document out,
                                          java.util.Dictionary params)
                                   throws java.lang.Exception

  Description copied from interface: `Transformer`
  Process the DOM tree with the given transformation sheet and uses the result tree to return.
  Specified by:
    `transform` in interface `Transformer`

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Specified by:
    `getStatus` in interface `Status`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.